From 70231dce88cf47f2f3e2b396fe0623ea74eeadfc Mon Sep 17 00:00:00 2001
From: Randy Barlow <randy@electronsweatshop.com>
Date: Sat, 3 Sep 2022 18:13:08 -0400
Subject: [PATCH] Disable some flaky tests

Certain tests commented out for stability reasons:
 * listview: Fails when building inside sandbox
   https://github.com/tstack/lnav/issues/1039
 * mvattrline: Fails on some testers boxes. Documented here:
   https://github.com/tstack/lnav/issues/911
 * logfile: Flaky. Fails some times and not others. i.e. Race condition
 * tui: Can hang the build

Signed-off-by: Randy Barlow <randy@electronsweatshop.com>
---
 test/Makefile.am | 8 --------
 1 file changed, 8 deletions(-)

diff --git a/test/Makefile.am b/test/Makefile.am
index fd09a656..07d6758e 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -188,10 +188,7 @@ dist_noinst_SCRIPTS = \
 	test_grep_proc.sh \
 	test_json_format.sh \
 	test_line_buffer.sh \
-	test_listview.sh \
-	test_logfile.sh \
 	test_meta.sh \
-	test_mvwattrline.sh \
 	test_regex101.sh \
 	test_remote.sh \
 	test_scripts.sh \
@@ -211,7 +208,6 @@ dist_noinst_SCRIPTS = \
 	test_sql_xml_func.sh \
 	test_sql_yaml_func.sh \
 	test_text_file.sh \
-	test_tui.sh \
 	test_view_colors.sh \
 	test_vt52_curses.sh \
 	test_pretty_print.sh
@@ -391,14 +387,11 @@ TESTS = \
 	test_cmds.sh \
 	test_config.sh \
 	test_events.sh \
-	test_listview.sh \
 	test_meta.sh \
-	test_mvwattrline.sh \
 	test_grep_proc.sh \
 	test_grep_proc2 \
 	test_json_format.sh \
 	test_log_accel \
-	test_logfile.sh \
 	test_reltime \
 	test_scripts.sh \
 	test_sessions.sh \
@@ -417,7 +410,6 @@ TESTS = \
 	test_sql_xml_func.sh \
 	test_sql_yaml_func.sh \
 	test_text_file.sh \
-	test_tui.sh \
 	test_data_parser.sh \
 	test_pretty_print.sh \
     test_view_colors.sh \
-- 
2.37.2

